Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list_catalog()
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.listCatalog();
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListCatalogAsync();
// handle responsecurl --request GET \
--url https://apigw.mka1.com/api/v1/llm/models/catalog \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/models/catalog', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"currency": "USD",
"data": [
{
"model_id": "meetkai:custom-chat-v1",
"source": "byo",
"origin": "api",
"activation_state": "available",
"blocker_source": null,
"activated_by": null,
"activated_at": null,
"provider": "openai-compatible",
"provider_model_id": "custom-chat-v1",
"definition": {
"id": "meetkai:custom-chat-v1",
"provider": "openai-compatible",
"modelId": "custom-chat-v1",
"displayName": "Custom Chat v1",
"baseUrl": "https://models.example.com/v1",
"apiFormat": "responses",
"apiProviderType": "openai",
"created": 1704067200,
"auth": {
"type": "api-key",
"value": "****"
},
"capabilities": {
"modalities": {
"input": [
"text"
],
"output": [
"text"
]
}
},
"source": "database",
"immutable": false
},
"health": {
"is_available": true,
"last_health_check": null,
"error": null
},
"created_at": 1704067200000,
"updated_at": 1704067200000,
"effective_price": {
"rates": null,
"source": "unpriced"
}
}
]
}Models
Enumera el catálogo de modelos de la organización
Enumera todas las definiciones de BYO, servicio y acceso al clúster con el estado de activación, bloqueador, estado de salud y vista previa del precio.
GET
/
api
/
v1
/
llm
/
models
/
catalog
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.models.list_catalog()
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.models.listCatalog();
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.Models.ListCatalogAsync();
// handle responseAutorizaciones
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
¿Esta página le ayudó?
⌘I